curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "accounting_code_rule",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"tag": {
"id": "<id>",
"object": "tag",
"links": {
"self": "/tags/<id>"
}
},
"type": null,
"subtype": null,
"business_preset": null,
"expense_accounting_code": {
"id": "<id>",
"object": "accounting_code",
"links": {
"self": "/accounting_codes/<id>"
}
},
"liability_accounting_code": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/accounting_code_rules/<id>"
}
}Retrieve an accounting code rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
business_entity, business_preset, expense_accounting_code, liability_accounting_code, tag, tag_group Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("accounting_code_rule").
- Default
- With business_entity expanded
- With tag_group expanded
- With tag expanded
- With business_preset expanded
- With expense_accounting_code expanded
- With liability_accounting_code expanded
Hide child attributes
Hide child attributes
The line item type this rule applies to (e.g. earning, deduction). When combined with subtype, narrows the rule to a specific line item category. Mutually exclusive with business_preset.
255The line item subtype this rule applies to (e.g. wage, salary). Must be accompanied by a type.
255A business preset this rule applies to. Provides the highest specificity match. Mutually exclusive with type and subtype.
The liability accounting code assigned when this rule matches.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

